### Method

# Atspi Accessible get_interfaces

#### Declaration [src]

    GArray*
    atspi_accessible_get_interfaces (
      AtspiAccessible* obj
    )

#### Description [src]

A set of pointers to all interfaces supported by an `AtspiAccessible`.

#### Return value

Type: An array of `utf8`

A `GArray` of strings describing the interfaces supported by the object. Interfaces are denoted in short-hand (i.e. “Component”, “Text” etc.).

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.